/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function shopLevelItems(
  params,
  options,
) {
  return request('/admin/shop_level/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function shopLevelCreate(
  body,
  options,
) {
  return request('/admin/shop_level/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function shopLevelUpdate(
  body,
  options,
) {
  return request('/admin/shop_level/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function shopLevelDelete(
  body,
  options,
) {
  return request('/admin/shop_level/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function shopItem(
  params,
  options,
) {
  return request('/admin/shop_level/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

